Does anyone know of a link to the latest client for MAC OSX?

Do you need to install the base 5.1 client first or will the latest service
pack suffice?

Thanks in advance.